extends Control


func _on_check_button_toggled(toggled_on: bool) -> void:
	DisplayServer.window_set_mode(DisplayServer.WINDOW_MODE_FULLSCREEN if toggled_on else DisplayServer.WINDOW_MODE_WINDOWED)


func _on_h_slider_value_changed(value: float) -> void:
	$VBoxContainer/Sensitivity/SpinBox.set_value_no_signal(value)
	ClientSettings.SENSITIVITY = value


func _on_spin_box_value_changed(value: float) -> void:
	$VBoxContainer/Sensitivity/HSlider.set_value_no_signal(value)
	ClientSettings.SENSITIVITY = value

func _input(event: InputEvent) -> void:
	if event.is_action_pressed("menu_settings"):
		visible = not visible
		Input.mouse_mode = Input.MOUSE_MODE_VISIBLE if visible else Input.MOUSE_MODE_CAPTURED


func _on_gameplay_main_slider_value_changed(value: float) -> void:
	AudioServer.set_bus_volume_linear(1,value)
